version: "3.9"
services:
  web:
    container_name: server
    build:
      context: .
      dockerfile: docker/nginx/Dockerfile
    ports:
      - "80:80"
    volumes:
      - ./data/:/var/www/html/
      - ./logs/nginx:/var/log/nginx/
    links:
      - php
    networks:
      - internal
  php:
    container_name: php
    build:
      context: .
      dockerfile: docker/php/Dockerfile
    volumes:
      - ./data/:/var/www/html/
      - ./logs/php.log:/var/log/fpm-php.www.log
    networks:
      - internal
      - db
    depends_on:
      - mysql
  mysql:
    container_name: mysql
    image: mysql:latest
    env_file:
      - .env
    ports:
      - "9906:3306"
    volumes:
      - ./database:/var/lib/mysql
    networks:
      - db
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: pma
    links:
      - mysql
    environment:
      PMA_HOST: mysql
      PMA_ARBITRARY: 1
    restart: always
    ports:
      - 8081:80
    networks:
      - db

networks:
  internal:
    driver: bridge
  db:
    driver: bridge

